path: /build/build/lockfile-dev-python-0.12.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - luet repo update && luet upgrade -y && luet cleanup --purge-repos
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/lockfile -pv -t && \
    USE="-doc -python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/lockfile
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/lockfile && luet-portage --dir /pkgdir/lockfile
    dev-python/lockfile && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:47314ea5d17dcd7c3c85529d601005c50e8fc78881e21fe85410d83442a84331
  package:
    name: lockfile
    version: 0.12.2+1
    category: dev-python
    use_flags:
    - -doc
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: cssselect
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Platform-independent file locking module
    uri:
    - https://launchpad.net/pylockfile https://pypi.org/project/lockfile/
    license: MIT
    buildtimestamp: 2023-12-05 10:07:33.808899141 +0000 UTC m=+240.013251116
    labels:
      DEPEND: '>dev-python/pbr-1.8[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        doc? ( dev-python/sphinx[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        ) test? ( dev-python/nose[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0=[threads(+)] ) python_targets_python3_7?
        ( dev-lang/python:3.7[threads(+)] ) python_targets_python3_9? ( dev-lang/python:3.9[threads(+)]
        ) python_targets_python3_8? ( dev-lang/python:3.8[threads(+)] ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)] ) python_targets_python3_10?
        ( dev-lang/python:3.10[threads(+)] ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
      IUSE: doc test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0=[threads(+)] ) python_targets_python3_7?
        ( dev-lang/python:3.7[threads(+)] ) python_targets_python3_9? ( dev-lang/python:3.9[threads(+)]
        ) python_targets_python3_8? ( dev-lang/python:3.8[threads(+)] ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)] ) python_targets_python3_10?
        ( dev-lang/python:3.10[threads(+)] ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/lockfile
      kit: python-modules-kit
      original.package.name: dev-python/lockfile
      original.package.slot: "0"
      original.package.version: 0.12.2
    treedir: /build/packages
  package_dir: /pkgdir/lockfile
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f977da66985c709e48ee4fe5e0fec5e0e3d0c70abb01c5a88d84ca5bfd9cc2e8
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/lockfile/__init__.py
- usr/lib/python3.9/site-packages/lockfile/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/linklockfile.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/linklockfile.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/linklockfile.cpython-39.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/mkdirlockfile.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/mkdirlockfile.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/mkdirlockfile.cpython-39.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/pidlockfile.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/pidlockfile.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/pidlockfile.cpython-39.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/sqlitelockfile.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/sqlitelockfile.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/sqlitelockfile.cpython-39.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/symlinklockfile.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/symlinklockfile.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/lockfile/__pycache__/symlinklockfile.cpython-39.pyc
- usr/lib/python3.9/site-packages/lockfile/linklockfile.py
- usr/lib/python3.9/site-packages/lockfile/mkdirlockfile.py
- usr/lib/python3.9/site-packages/lockfile/pidlockfile.py
- usr/lib/python3.9/site-packages/lockfile/sqlitelockfile.py
- usr/lib/python3.9/site-packages/lockfile/symlinklockfile.py
- usr/lib/python3.9/site-packages/lockfile-0.12.2-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/lockfile-0.12.2-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/lockfile-0.12.2-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/lockfile-0.12.2-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/lockfile-0.12.2-py3.9.egg-info/pbr.json
- usr/lib/python3.9/site-packages/lockfile-0.12.2-py3.9.egg-info/top_level.txt
- usr/share/doc/lockfile-0.12.2/AUTHORS.bz2
- usr/share/doc/lockfile-0.12.2/ChangeLog.bz2
- usr/share/doc/lockfile-0.12.2/README.rst.bz2
- var/db/pkg/dev-python/lockfile-0.12.2/BDEPEND
- var/db/pkg/dev-python/lockfile-0.12.2/BUILD_TIME
- var/db/pkg/dev-python/lockfile-0.12.2/CATEGORY
- var/db/pkg/dev-python/lockfile-0.12.2/CBUILD
- var/db/pkg/dev-python/lockfile-0.12.2/CFLAGS
- var/db/pkg/dev-python/lockfile-0.12.2/CHOST
- var/db/pkg/dev-python/lockfile-0.12.2/CONTENTS
- var/db/pkg/dev-python/lockfile-0.12.2/COUNTER
- var/db/pkg/dev-python/lockfile-0.12.2/CXXFLAGS
- var/db/pkg/dev-python/lockfile-0.12.2/DEFINED_PHASES
- var/db/pkg/dev-python/lockfile-0.12.2/DESCRIPTION
- var/db/pkg/dev-python/lockfile-0.12.2/EAPI
- var/db/pkg/dev-python/lockfile-0.12.2/FEATURES
- var/db/pkg/dev-python/lockfile-0.12.2/HOMEPAGE
- var/db/pkg/dev-python/lockfile-0.12.2/INHERITED
- var/db/pkg/dev-python/lockfile-0.12.2/IUSE
- var/db/pkg/dev-python/lockfile-0.12.2/IUSE_EFFECTIVE
- var/db/pkg/dev-python/lockfile-0.12.2/KEYWORDS
- var/db/pkg/dev-python/lockfile-0.12.2/LDFLAGS
- var/db/pkg/dev-python/lockfile-0.12.2/LICENSE
- var/db/pkg/dev-python/lockfile-0.12.2/PF
- var/db/pkg/dev-python/lockfile-0.12.2/RDEPEND
- var/db/pkg/dev-python/lockfile-0.12.2/SIZE
- var/db/pkg/dev-python/lockfile-0.12.2/SLOT
- var/db/pkg/dev-python/lockfile-0.12.2/USE
- var/db/pkg/dev-python/lockfile-0.12.2/environment.bz2
- var/db/pkg/dev-python/lockfile-0.12.2/lockfile-0.12.2.ebuild
- var/db/pkg/dev-python/lockfile-0.12.2/repository
package_cacheimage: ""
runtime:
  name: lockfile
  version: 0.12.2+1
  category: dev-python
  use_flags:
  - -doc
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Platform-independent file locking module
  uri:
  - https://launchpad.net/pylockfile https://pypi.org/project/lockfile/
  license: MIT
  labels:
    DEPEND: '>dev-python/pbr-1.8[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      doc? ( dev-python/sphinx[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      ) test? ( dev-python/nose[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0=[threads(+)] ) python_targets_python3_7?
      ( dev-lang/python:3.7[threads(+)] ) python_targets_python3_9? ( dev-lang/python:3.9[threads(+)]
      ) python_targets_python3_8? ( dev-lang/python:3.8[threads(+)] ) python_targets_python2_7?
      ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)] ) python_targets_python3_10? (
      dev-lang/python:3.10[threads(+)] ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]'
    IUSE: doc test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0=[threads(+)] ) python_targets_python3_7?
      ( dev-lang/python:3.7[threads(+)] ) python_targets_python3_9? ( dev-lang/python:3.9[threads(+)]
      ) python_targets_python3_8? ( dev-lang/python:3.8[threads(+)] ) python_targets_python2_7?
      ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)] ) python_targets_python3_10? (
      dev-lang/python:3.10[threads(+)] ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/lockfile
    kit: python-modules-kit
    original.package.name: dev-python/lockfile
    original.package.slot: "0"
    original.package.version: 0.12.2
